Subject: Re: data_value

From: Zheng Gengbing <[email-masked]>
Date: Mon, 29 Apr 1996 09:22:43 +0800 (EAT)

On Mon, 29 Apr 1996, Li Xinying wrote:

> 
> 
> > 
> > 	Another thing , since I modified DATA statement in f90.y , now
> > the unparse result of testG.f have little difference in line 3 . 
> > 	I changed f90.y because the DATA_VALUE's left_llnd and right_llnd are
> > reversely created . It will be very easy for you to change your unparse .
> > If you have any question please refer to the f90.y in this version --
> > yacc rule: 'data_stmt_value' .
> > 
>     Did you modified rules or action?If the left-llnd and right are 
> reversed,it'd better modifiy the action. Need we do these things?
> 

	I certainly modified  yacc actions .
	My change is :

data_stmt_value
    :  data_stmt_constant {
                                /* modified by zheng.gb */
/*
          $$ = makeLlnd(fi,DATA_VALUE,$1,LLNULL,SMNULL);
*/
          $$ = makeLlnd(fi,DATA_VALUE,LLNULL,$1,SMNULL);
          }
    |  data_stmt_repeat MULTIPLY data_stmt_constant {
          $$ = makeLlnd(fi,DATA_VALUE,$1,$3,SMNULL);
          }
    ;

	It's obvious and I think it need not any further explaination .

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************